# $Revision: 1.4 $, $Date: 2002/09/04 08:21:04 $
#
# Conditional build:
# _with_tests - perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	RandPasswd
Summary:	Crypt::RandPasswd Perl module - pronounceable passwords generator
Summary(pl):	Modu Perla Crypt::RandPasswd - generator wymawialnych hase
Name:		perl-Crypt-RandPasswd
Version:	0.02
Release:	3
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This code is a Perl language implementation of the Automated Password
Generator standard, like the program described in "A Random Word
Generator For Pronounceable Passwords". This code is a re-engineering
of the program contained in Appendix A of FIPS Publication 181,
"Standard for Automated Password Generator".

%description -l pl
Ten modu jest perlow implementacj standardu automatycznego
generatora hase, takiego jak program opisany w "A Random Word
Generator For Pronounceable Passwords" (generator losowych sw na
potrzeby wymawialnych hase). Ten kod jest ponown implementacj
programu zawartego w zaczniku A opublikacji FIPS numer 181 "Standard
for Automated Password Generator".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

# it may hang on a machine that does not receive enough random events
%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Crypt/RandPasswd.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-RandPasswd.spec,v $
Revision 1.4  2002/09/04 08:21:04  kloczek
- relase 3.

Revision 1.3  2002/08/01 14:28:12  ankry
- with(out)_test -> with(out)_tests

Revision 1.2  2002/08/01 10:20:32  ankry
- make test enabled only conditionally (may hang)
- release 2

Revision 1.1  2002/07/31 20:55:52  qboosh
- new
